Associate a third party with an asset

Through this web service, you can associate a third party with an asset.

The parameter "code" in the URL is the code of the asset to which the third party assignment will be made. You can obtain it here (field code)

Input Parameters

The following information must be sent in the request body.

ParameterTypeRequiredDescription
id_type_itemIntegerYesAsset type. Can be:
1- Locations
2- Equipment
3- Tools
4- Spare parts and supplies
5- Digital
code_third_partyTextYesCode of the third party to associate. You can obtain it here (field code)

Output Parameters

ParameterTypeDescription
idIntegerInternal ID of asset-third party association
id_companyIntegerCompany ID
id_itemIntegerAsset ID
id_third_partyIntegerThird party ID

Example:

Request: (PUT)https://app.fracttal.com/api/items_third_party_association/JCD-E-003

{
    "id_type_item": 2,
    "code_third_party": "147942"
}
{
    "success": true,
    "message": "200",
    "data": {
        "id": 109986,
        "id_company": 1190,
        "id_item": 37227669,
        "id_third_party": 27
    },
    "total": 1
}
Response
200
Language
LoadingLoading…